%bcond_with chroot

Name: binutils-pase
Version: %(echo `uname -v`.`uname -r`)
Release: 1
License: IPLA
Summary: Standard PASE binaries
BuildArch: ppc
AutoReqProv: no

%description
Standard PASE build utilities such as ar, as, m4, make, ...

%if %{with chroot}
%package chroot
Summary: %{summary}

Provides: binutils-pase = %{version}-%{release}
Conflicts: binutils-pase-dummy

Requires: pase-libs-chroot = %{version}
Requires: coreutils-pase-chroot = %{version}

Provides: /usr/ccs/bin/ar
Provides: /usr/ccs/bin/as
Provides: /usr/ccs/bin/bind
Provides: /usr/ccs/bin/cb
Provides: /usr/ccs/bin/dbx
Provides: /usr/ccs/bin/indent
Provides: /usr/ccs/bin/ld
Provides: /usr/ccs/bin/ldedit
Provides: /usr/ccs/bin/lex
Provides: /usr/ccs/bin/lorder
Provides: /usr/ccs/bin/m4
Provides: /usr/ccs/bin/make
Provides: /usr/ccs/bin/makekey
Provides: /usr/ccs/bin/nm
Provides: /usr/ccs/bin/ranlib
Provides: /usr/ccs/bin/regcmp
Provides: /usr/ccs/bin/rtl_enable
Provides: /usr/ccs/bin/size
Provides: /usr/ccs/bin/strings
Provides: /usr/ccs/bin/strip
Provides: /usr/ccs/bin/tsort
Provides: /usr/ccs/bin/yacc

%description chroot
Standard PASE build utilities such as ar, as, m4, make, ...
%endif

%package dummy
Summary: %{summary}

Provides: binutils-pase = %{version}-%{release}
Conflicts: binutils-pase-chroot

Requires: pase-libs-dummy = %{version}
Requires: coreutils-pase-dummy = %{version}

Provides: /QOpenSys/usr/ccs/bin/ar
Provides: /QOpenSys/usr/ccs/bin/as
Provides: /QOpenSys/usr/ccs/bin/bind
Provides: /QOpenSys/usr/ccs/bin/cb
Provides: /QOpenSys/usr/ccs/bin/dbx
Provides: /QOpenSys/usr/ccs/bin/indent
Provides: /QOpenSys/usr/ccs/bin/ld
Provides: /QOpenSys/usr/ccs/bin/ldedit
Provides: /QOpenSys/usr/ccs/bin/lex
Provides: /QOpenSys/usr/ccs/bin/lorder
Provides: /QOpenSys/usr/ccs/bin/m4
Provides: /QOpenSys/usr/ccs/bin/make
Provides: /QOpenSys/usr/ccs/bin/makekey
Provides: /QOpenSys/usr/ccs/bin/nm
Provides: /QOpenSys/usr/ccs/bin/ranlib
Provides: /QOpenSys/usr/ccs/bin/regcmp
Provides: /QOpenSys/usr/ccs/bin/rtl_enable
Provides: /QOpenSys/usr/ccs/bin/size
Provides: /QOpenSys/usr/ccs/bin/strings
Provides: /QOpenSys/usr/ccs/bin/strip
Provides: /QOpenSys/usr/ccs/bin/tsort
Provides: /QOpenSys/usr/ccs/bin/yacc
Provides: /QOpenSys/usr/bin/ar
Provides: /QOpenSys/usr/bin/as
Provides: /QOpenSys/usr/bin/cb
Provides: /QOpenSys/usr/bin/dbx
Provides: /QOpenSys/usr/bin/indent
Provides: /QOpenSys/usr/bin/ld
Provides: /QOpenSys/usr/bin/ldedit
Provides: /QOpenSys/usr/bin/lex
Provides: /QOpenSys/usr/bin/lorder
Provides: /QOpenSys/usr/bin/m4
Provides: /QOpenSys/usr/bin/make
Provides: /QOpenSys/usr/bin/makekey
Provides: /QOpenSys/usr/bin/nm
Provides: /QOpenSys/usr/bin/ranlib
Provides: /QOpenSys/usr/bin/regcmp
Provides: /QOpenSys/usr/bin/rtl_enable
Provides: /QOpenSys/usr/bin/size
Provides: /QOpenSys/usr/bin/strings
Provides: /QOpenSys/usr/bin/strip
Provides: /QOpenSys/usr/bin/tsort
Provides: /QOpenSys/usr/bin/yacc

Provides: /usr/ccs/bin/ar
Provides: /usr/ccs/bin/as
Provides: /usr/ccs/bin/bind
Provides: /usr/ccs/bin/cb
Provides: /usr/ccs/bin/dbx
Provides: /usr/ccs/bin/indent
Provides: /usr/ccs/bin/ld
Provides: /usr/ccs/bin/ldedit
Provides: /usr/ccs/bin/lex
Provides: /usr/ccs/bin/lorder
Provides: /usr/ccs/bin/m4
Provides: /usr/ccs/bin/make
Provides: /usr/ccs/bin/makekey
Provides: /usr/ccs/bin/nm
Provides: /usr/ccs/bin/ranlib
Provides: /usr/ccs/bin/regcmp
Provides: /usr/ccs/bin/rtl_enable
Provides: /usr/ccs/bin/size
Provides: /usr/ccs/bin/strings
Provides: /usr/ccs/bin/strip
Provides: /usr/ccs/bin/tsort
Provides: /usr/ccs/bin/yacc

%description dummy
Standard PASE build utilities such as ar, as, m4, make, ...

%if %{with chroot}
%install

mkdir -p %{buildroot}/QOpenSys/usr/ccs/bin
cd %{buildroot}/QOpenSys/usr/ccs/bin

cp -p /QOpenSys/usr/ccs/bin/ar .
cp -p /QOpenSys/usr/ccs/bin/as .
cp -p /QOpenSys/usr/ccs/bin/bind .
cp -p /QOpenSys/usr/ccs/bin/cb .
cp -p /QOpenSys/usr/ccs/bin/dbx .
cp -p /QOpenSys/usr/ccs/bin/indent .
cp -p /QOpenSys/usr/ccs/bin/ld .
cp -p /QOpenSys/usr/ccs/bin/ldedit .
cp -p /QOpenSys/usr/ccs/bin/lex .
cp -p /QOpenSys/usr/ccs/bin/lorder .
cp -p /QOpenSys/usr/ccs/bin/m4 .
cp -p /QOpenSys/usr/ccs/bin/make .
cp -p /QOpenSys/usr/ccs/bin/makekey .
cp -p /QOpenSys/usr/ccs/bin/nm .
cp -p /QOpenSys/usr/ccs/bin/ranlib .
cp -p /QOpenSys/usr/ccs/bin/regcmp .
cp -p /QOpenSys/usr/ccs/bin/rtl_enable .
cp -p /QOpenSys/usr/ccs/bin/size .
cp -p /QOpenSys/usr/ccs/bin/strings .
cp -p /QOpenSys/usr/ccs/bin/strip .
cp -p /QOpenSys/usr/ccs/bin/tsort .
cp -p /QOpenSys/usr/ccs/bin/yacc .

mkdir -p %{buildroot}/QOpenSys/usr/bin
cd %{buildroot}/QOpenSys/usr/bin

ln -s /QOpenSys/usr/ccs/bin/ar .
ln -s /QOpenSys/usr/ccs/bin/as .
ln -s /QOpenSys/usr/ccs/bin/cb .
ln -s /QOpenSys/usr/ccs/bin/dbx .
ln -s /QOpenSys/usr/ccs/bin/indent .
ln -s /QOpenSys/usr/ccs/bin/ld .
ln -s /QOpenSys/usr/ccs/bin/ldedit .
ln -s /QOpenSys/usr/ccs/bin/lex .
ln -s /QOpenSys/usr/ccs/bin/lorder .
ln -s /QOpenSys/usr/ccs/bin/m4 .
ln -s /QOpenSys/usr/ccs/bin/make .
ln -s /QOpenSys/usr/ccs/bin/makekey .
ln -s /QOpenSys/usr/ccs/bin/nm .
ln -s /QOpenSys/usr/ccs/bin/ranlib .
ln -s /QOpenSys/usr/ccs/bin/regcmp .
ln -s /QOpenSys/usr/ccs/bin/rtl_enable .
ln -s /QOpenSys/usr/ccs/bin/size .
ln -s /QOpenSys/usr/ccs/bin/strings .
ln -s /QOpenSys/usr/ccs/bin/strip .
ln -s /QOpenSys/usr/ccs/bin/tsort .
ln -s /QOpenSys/usr/ccs/bin/yacc .

# TODO: Do this here or in pase-libs?
# mkdir -p %{buildroot}/QOpenSys/usr/lib/lex
# mkdir -p %{buildroot}/QOpenSys/usr/ccs/lib
# 
# ln -s /QOpenSys/usr/lib/lex /QOpenSys/usr/ccs/lib/lex
%endif

%if %{with chroot}
%files chroot
%defattr(-, qsys, *none)

/QOpenSys/usr/ccs/bin/*
/QOpenSys/usr/bin/*

# /QOpenSys/usr/lib/lex
# /QOpenSys/usr/ccs/lib/lex
%endif

%files dummy
# empty package
